
<% causes = @cause_tree ? causes_without_colors(@cause_tree.rca, @cause_tree.tool_reference) : [] %>

<%= raw helper_doc_cause_validation unless show_buttons %>

<table class='tablesorter tablesorter-blue'>
  <% causes.each do |cause| %>
    <% nbd = (cause.depth == 0) ? 0 : cause.depth-1
       nbd *= 30 %>
    <% cause_presenter = Tools::CausePresenter.new(cause, nil) %>
    <tr id='cause_div_<%=cause.id%>'>
      <% if !cause.ancestry %>
        <td colspan=2 id='cause_<%=cause.id%>'>
          <%= cause.name %>
        </td>
      <% else %>
        <td style="width: 30px;" class=''>
        </td>
          <!-- Pour afficher l'item -->
        <td id='cause_<%=cause.id%>' style='padding-left:<%=nbd%>px;'>
          <span  class='task-block-line'><%= t('.why') %></span>
          <%= icon_status(cause, 'status') %>
          <%#= t("simple_form.options.tools_cause.status.#{cause.status}") unless show_buttons %>
          <%= cause_presenter.cause_icon_status_editable if show_buttons && policy(cause).edit_status? %>

          <!-- Validation -->
          <span id=<%="id_item_line_cause_valid_"+cause.id.to_s%> >
            <%#= render :partial => "admin_actions/etat_validation_cause_show" %>
          </span><br/>
          <!-- Text field => cause -->
          <span>
            <%#= best_in_place cause, :name, :as => :input, :ok_button => "&#x2714;".html_safe, :cancel_button => "&#x2718;".html_safe,
                      :html_attrs => { :class => 'bip_input' },
                      #:ok_button_class => 'button bip_button', :cancel_button_class => 'button bip_button' ,
                      :class => 'bip_span'
                      %>
            <% if show_buttons %>
              <% @tools_cause = cause %>
              <%= best_in_place @tools_cause, :name, :as => :input,
                                      ok_button: "&#x2714;".html_safe,
                                      cancel_button: "&#x2718;".html_safe,
                                      display_with: lambda { |val| best_in_place_display(val).html_safe },
                                      place_holder: 'Pourquoi ?',
                                      html_attrs: { class: 'bip-input' },
                                      class: 'bip-span'
              %>
            <% else %>
              <%= cause.name %>
            <% end %>
          </span>
        </td>
      <% end %>

      <td style="width: 155px;">
        <% if show_buttons %>
          <% if cause.ancestry %>
            <%= cause_presenter.cause_delete_link %><br/>
          <% end %>
          <%= cause_presenter.cause_add_link(t('.why')) %>
        <% end %>
      </td>
    </tr>
  <% end %>
</table>
